function BIAS = bias_alpha_logit_mle2(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));
n = size(index,1)/t;

hit = 1;
dhit = 0;

vit   = hit .* (y - logcdf(x*d));
vita  = - hit .* logpdf(x*d) ;
vitaa = - hit .* logdpdf(x*d) - 2 * dhit .* logpdf(x*d);

pit   = phi_alpha_logit_mle2(y,x,d,index);
si    = sigma2_alpha_logit_mle2(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);

visa = reshape(vita,t,n);
visa = [zeros(1,n) ; visa(1:(t-1),:)];
visa = (t/(t-1))*reshape(visa,t*n,1);

s_vita = (1/t) * D' * vita;
s_vitapis = (1/t)* D' * (vita .* pis);
s_pitpis = (1/t) * D' * (pit .* pis);
s_vitaa = (1/t) * D' * vitaa;
s1 = (1/t) * D' * (dhit .* logpdf(x*d)); 

BIAS    = -(s_vita.^(-1)).*(- s1 ./ s_vita + s_vitapis + (1/2) * (s_vitaa ./ si));

