function BIAS = bias_ameff_logit(mu, delta, biasalpha, sigma2alpha, phialpha, p ,index, NT)

D = dummyvar(index);
t = mean(sum(D));
n = size(index,1)/t;

beta = delta(1:p,1);
alpha = delta((p+1):size(delta,1),1);

dmeff =  logdpdf(mu) * beta';
ddmeff = logddpdf(mu) * beta';

lag_phialpha = reshape(phialpha,t,n);
lag_phialpha = [zeros(1,n) ; lag_phialpha(1:(t-1),:)];
lag_phialpha = (t/(t-1))*reshape(lag_phialpha,t*n,1);

BIAS = sum(dmeff .* ((kron(biasalpha, ones(t,1)) + phialpha + lag_phialpha) * ones(1,p)) + (1/2) * (ddmeff .* (kron(sigma2alpha, ones(t,1)) * ones(1,p))),1)' / NT;

