function BIAS = bias_beta_logit(y,x,d,n,index)

D = dummyvar(index);
t = mean(sum(D));
p = size(x,2)-n;
n = size(index,1)/t;

hit = 1;
dhit = 0;
ddhit = 0;

vit   = hit .* (y - logcdf(x*d));
vita  = - hit .* logpdf(x*d) + dhit .* (y - logcdf(x*d));
vitaa = - hit .* logdpdf(x*d) - 2 * dhit .* logpdf(x*d) + ddhit .* (y - logcdf(x*d));

uit   = x(:,1:p) .* (vit*ones(1,p));
uita  = x(:,1:p) .* (vita*ones(1,p));
uitaa = x(:,1:p) .* (vitaa*ones(1,p));

uitb  = x(:,1:p)' * (uita);
vitb  = uita;

s_vita = kron(D'*vita,ones(t,1));
s_vitb = kron(D'*vitb,ones(t,1));

TEMP1 = s_vitb ./ (s_vita * ones(1,p));

H     = uitb - uita' * TEMP1;

pit   = phi_alpha_logit(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);

uisa = reshape(uita,t,n*p);
uisa = [zeros(1,n*p) ; uisa(1:(t-1),:)];
uisa = (t/(t-1))*reshape(uisa,t*n,p);

%piss = reshape(pis,t,n);
%piss = [zeros(1,n) ; piss(1:(t-1),:)];
%piss = (t/(t-2))*reshape(piss,t*n,1);

b     = sum(uita .* ((kron(bias_alpha_logit(y,x,d,index),ones(t,1)) + phi_alpha_logit(y,x,d,index) +  pis )*ones(1,p)) ...
     +  uisa .* (pit * ones(1,p)) + 1/2 * uitaa .* (kron(sigma2_alpha_logit(y,x,d,index),ones(t,1)) * ones(1,p)),1)';

%b     = sum(uita .* ((kron(bias_alpha_logit(y,x,d,index),ones(t,1)) + phi_alpha_logit(y,x,d,index) + pis + piss)*ones(1,p)) ...
%     + 1/2 * uitaa .* (kron(sigma2_alpha_logit(y,x,d,index),ones(t,1)) * ones(1,p)),1)';


BIAS  = -inv(H)*b;

