function BIAS = bias_beta_olsen(y,x,d,n,index)

D = dummyvar(index);
t = mean(sum(D));
p = size(x,2)-n;
n = size(index,1)/t;


vit   = y - x*d;
vita  = - ones(size(y,1),1);

uit   = x(:,1:p) .* (vit*ones(1,p));
uita  = x(:,1:p) .* (vita*ones(1,p));

uitb  = x(:,1:p)' * (uita);
vitb  = uita;

s_vita = kron(D'*vita,ones(t,1));
s_vitb = kron(D'*vitb,ones(t,1));

TEMP1 = s_vitb ./ (s_vita * ones(1,p));

H     = uitb - uita' * TEMP1;

pit   = vit;

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);

b     = sum(uita .* ((pit +  pis )*ones(1,p)), 1)';

%b     = sum(uita .* ((kron(bias_alpha_logit(y,x,d,index),ones(t,1)) + phi_alpha_logit(y,x,d,index) + pis + piss)*ones(1,p)) ...
%     + 1/2 * uitaa .* (kron(sigma2_alpha_logit(y,x,d,index),ones(t,1)) * ones(1,p)),1)';


BIAS  = -inv(H)*b;


