function V = vc_meff2_probit(xbar_y0,xbar_y1,delta,H,s2x,N,p)

beta = delta(1:p,1);
alpha = delta((p+1):size(delta,1),1);

mu_y0 = xbar_y0'*beta + alpha;
mu_y1 = xbar_y1'*beta + alpha;

Np = size(alpha,1);

if1 = (1/N^2)*Np*var(normcdf(mu_y0) - normcdf(mu_y1),1);

R = [   (1/N)*(sum(normpdf(mu_y1)) * xbar_y1 - sum(normpdf(mu_y0)) * xbar_y0); ...
        (1/N) * (normpdf(mu_y1) - normpdf(mu_y0))];

if2 = R'*H*R;

R2 = [0 ; (1/N)*sum(normpdf(mu_y1) - normpdf(mu_y0)) * beta(2:p,1)];

if3 = R2' * s2x * R2;

V = if1 + if2 + if3;

