function BIAS = bias_ameff2_probit(mu_y0, mu_y1, delta, biasalpha, sigma2alpha, phialpha, p ,index, NT)

D = dummyvar(index);
t = mean(sum(D));
n = size(index,1)/t;

dmeff =  normpdf(mu_y1) - normpdf(mu_y0);
ddmeff = normdpdf(mu_y1) - normdpdf(mu_y0);

lag_phialpha = reshape(phialpha,t,n);
lag_phialpha = [zeros(1,n) ; lag_phialpha(1:(t-1),:)];
lag_phialpha = (t/(t-1))*reshape(lag_phialpha,t*n,1);

BIAS = sum(dmeff .* (kron(biasalpha, ones(t,1)) + phialpha + lag_phialpha)  + (1/2) * ddmeff .* kron(sigma2alpha, ones(t,1)) ,1)' / NT;


